Speech Enhancement
curl --request POST \
--url https://apis.finevoice.ai/v1/enhancer/speech_enhancement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/audio.mp3",
"model": "MossFormer2_SE_48K",
"use_vad": false,
"enable_normalization": false,
"normalization_method": "peak",
"normalization_peak_db": -1,
"normalization_rms_db": -20,
"output_format": "wav"
}
'import requests
url = "https://apis.finevoice.ai/v1/enhancer/speech_enhancement"
payload = {
"url": "https://example.com/audio.mp3",
"model": "MossFormer2_SE_48K",
"use_vad": False,
"enable_normalization": False,
"normalization_method": "peak",
"normalization_peak_db": -1,
"normalization_rms_db": -20,
"output_format": "wav"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/audio.mp3',
model: 'MossFormer2_SE_48K',
use_vad: false,
enable_normalization: false,
normalization_method: 'peak',
normalization_peak_db: -1,
normalization_rms_db: -20,
output_format: 'wav'
})
};
fetch('https://apis.finevoice.ai/v1/enhancer/speech_enhancement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Audio Enhancement
Speech Enhancement
Reduce background noise and enhance speech quality. Supports WAV/MP3/FLAC/AAC/OGG/OPUS/M4A/WEBM.
POST
/
v1
/
enhancer
/
speech_enhancement
Speech Enhancement
Authorizations
Bearer token (API key). Format: Bearer {your_api_key}
Body
application/json
The speech enhancement request payload.
Audio file URL (http/https). Supports WAV/MP3/FLAC/AAC/OGG/OPUS/M4A/WEBM.
Example:
"https://example.com/audio.mp3"
Enhancement model. Supported: MossFormer2_SE_48K, FRCRN_SE_16K, MossFormerGAN_SE_16K.
Example:
"MossFormer2_SE_48K"
Enable VAD (Voice Activity Detection) preprocessing.
Enable audio normalization after enhancement.
Normalization method: peak, rms, or both.
Target peak level in dBFS.
Target RMS level in dBFS.
Output format: wav, mp3, flac, or m4a.
Response
Enhanced audio returned.
The response is of type object.
⌘I